GWE not opening

Hello, i`m having a problem opening GWE (GreenWithEnvy)

╭─[email protected] in ~  
╰─λ gwe

(gwe:1422): Gtk-WARNING **: 16:30:21.377: Theme parsing error: gtk-dark.css:5822:26: '-shadow' is not a valid
color name

(gwe:1422): Gtk-WARNING **: 16:30:21.377: Theme parsing error: gtk-dark.css:5825:14: not a number

(gwe:1422): Gtk-WARNING **: 16:30:21.377: Theme parsing error: gtk-dark.css:5826:13: not a number

(gwe:1422): Gtk-WARNING **: 16:30:21.377: Theme parsing error: gtk-dark.css:5827:11: Expected a length
Gtk-Message: 16:30:21.395: Failed to load module "appmenu-gtk-module"
Traceback (most recent call last):
File "/usr/lib/python3.10/site-packages/injector/__init__.py", line 658, in get_binding
return self._get_binding(interface, only_this_binder=is_scope)
File "/usr/lib/python3.10/site-packages/injector/__init__.py", line 653, in _get_binding
raise KeyError
KeyError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/gwe", line 53, in <module>
from gwe import __main__
File "/usr/lib/python3.10/site-packages/gwe/__main__.py", line 33, in <module>
from gwe.model.current_fan_profile import CurrentFanProfile
File "/usr/lib/python3.10/site-packages/gwe/model/__init__.py", line 19, in <module>
from gwe.model.overclock_profile import OverclockProfile
File "/usr/lib/python3.10/site-packages/gwe/model/overclock_profile.py", line 29, in <module>
OVERCLOCK_PROFILE_CHANGED_SUBJECT = INJECTOR.get(OverclockProfileChangedSubject)
File "/usr/lib/python3.10/site-packages/injector/__init__.py", line 952, in get
binding, binder = self.binder.get_binding(interface)
File "/usr/lib/python3.10/site-packages/injector/__init__.py", line 667, in get_binding
binding = self.create_binding(interface)
File "/usr/lib/python3.10/site-packages/injector/__init__.py", line 582, in create_binding
provider = self.provider_for(interface, to)
File "/usr/lib/python3.10/site-packages/injector/__init__.py", line 644, in provider_for
raise UnknownProvider('couldn\'t determine provider for %r to %r' % (interface, to))
injector.UnknownProvider: couldn't determine provider for gwe.di.OverclockProfileChangedSubject to None
╭─[email protected] in ~ took 333ms
[🔴] × inxi -Faz
System:
Kernel: 5.15.11-230-tkg-pds x86_64 bits: 64 compiler: gcc v: 11.1.0
parameters: intel_pstate=passive BOOT_IMAGE=/@/boot/vmlinuz-linux-tkg-pds
root=UUID=251cc9ae-b800-4ba3-918d-c17263309339 rw [email protected]
quiet splash rd.udev.log_priority=3 vt.global_cursor_default=0
systemd.unified_cgroup_hierarchy=1 loglevel=3 mitigations=off
nvidia-drm.modeset=1
Desktop: KDE Plasma 5.23.4 tk: Qt 5.15.2 info: latte-dock wm: kwin_x11
vt: 1 dm: SDDM Distro: Garuda Linux base: Arch Linux
Machine:
Type: Desktop System: Gigabyte product: N/A v: N/A
serial: <superuser required> Chassis: type: 3 serial: <superuser required>
Mobo: Gigabyte model: X79-UP4 v: x.x serial: <superuser required>
UEFI: American Megatrends v: F6a date: 12/18/2013
CPU:
Info: model: Intel Core i7-3930K bits: 64 type: MT MCP arch: Sandy Bridge
family: 6 model-id: 0x2D (45) stepping: 7 microcode: 0x71A
Topology: cpus: 1x cores: 6 tpc: 2 threads: 12 smt: enabled cache:
L1: 384 KiB desc: d-6x32 KiB; i-6x32 KiB L2: 1.5 MiB desc: 6x256 KiB
L3: 12 MiB desc: 1x12 MiB
Speed (MHz): avg: 1277 high: 1464 min/max: 1200/5900 scaling:
driver: intel_cpufreq governor: ondemand cores: 1: 1399 2: 1204 3: 1200
4: 1299 5: 1291 6: 1354 7: 1258 8: 1200 9: 1464 10: 1211 11: 1254
12: 1198 bogomips: 76881
Flags: avx ht lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx
Vulnerabilities:
Type: itlb_multihit status: KVM: VMX disabled
Type: l1tf mitigation: PTE Inversion; VMX: vulnerable
Type: mds status: Vulnerable; SMT vulnerable
Type: meltdown status: Vulnerable
Type: spec_store_bypass status: Vulnerable
Type: spectre_v1 status: Vulnerable: __user pointer sanitization and
usercopy barriers only; no swapgs barriers
Type: spectre_v2 status: Vulnerable, IBPB: disabled, STIBP: disabled
Type: srbds status: Not affected
Type: tsx_async_abort status: Not affected
Graphics:
Device-1: NVIDIA GP106 [GeForce GTX 1060 6GB] vendor: ASUSTeK
driver: nvidia v: 495.46 alternate: nouveau,nvidia_drm bus-ID: 03:00.0
chip-ID: 10de:1c03 class-ID: 0300
Display: x11 server: X.Org 1.21.1.2 compositor: kwin_x11 driver:
loaded: nvidia unloaded: modesetting alternate: fbdev,nouveau,nv,vesa
display-ID: :0 screens: 1
Screen-1: 0 s-res: 1920x1200 s-dpi: 93 s-size: 524x321mm (20.6x12.6")
s-diag: 615mm (24.2")
Monitor-1: DVI-D-0 res: 1920x1200 hz: 60 dpi: 94
size: 519x324mm (20.4x12.8") diag: 612mm (24.1")
OpenGL: renderer: NVIDIA GeForce GTX 1060 6GB/PCIe/SSE2
v: 4.6.0 NVIDIA 495.46 direct render: Yes
Audio:
Device-1: Intel C600/X79 series High Definition Audio vendor: Gigabyte
driver: snd_hda_intel v: kernel bus-ID: 00:1b.0 chip-ID: 8086:1d20
class-ID: 0403
Device-2: NVIDIA GP106 High Definition Audio vendor: ASUSTeK
driver: snd_hda_intel v: kernel bus-ID: 03:00.1 chip-ID: 10de:10f1
class-ID: 0403
Sound Server-1: ALSA v: k5.15.11-230-tkg-pds running: yes
Sound Server-2: JACK v: 1.9.19 running: no
Sound Server-3: PulseAudio v: 15.0 running: no
Sound Server-4: PipeWire v: 0.3.42 running: yes
Network:
Device-1: Intel 82579LM Gigabit Network vendor: Gigabyte driver: e1000e
v: kernel port: f040 bus-ID: 00:19.0 chip-ID: 8086:1502 class-ID: 0200
IF: eno1 state: up speed: 100 Mbps duplex: full mac: <filter>
Drives:
Local Storage: total: 1.26 TiB used: 261.62 GiB (20.3%)
SMART Message: Unable to run smartctl. Root privileges required.
ID-1: /dev/sda maj-min: 8:0 vendor: Samsung model: SSD 860 EVO 250GB
size: 232.89 GiB block-size: physical: 512 B logical: 512 B speed: 6.0 Gb/s
type: SSD serial: <filter> rev: 4B6Q scheme: GPT
ID-2: /dev/sdb maj-min: 8:16 vendor: Gigabyte model: GP-GSTFS31120GNTD
size: 111.79 GiB block-size: physical: 512 B logical: 512 B speed: 6.0 Gb/s
type: SSD serial: <filter> rev: 11.3 scheme: GPT
ID-3: /dev/sdc maj-min: 8:32 vendor: Samsung model: HD103SI
size: 931.51 GiB block-size: physical: 512 B logical: 512 B speed: 3.0 Gb/s
type: N/A serial: <filter> rev: 1118 scheme: GPT
ID-4: /dev/sdd maj-min: 8:48 type: USB vendor: SanDisk model: Ultra Fit
size: 14.48 GiB block-size: physical: 512 B logical: 512 B type: N/A
serial: <filter> rev: 1.00 scheme: MBR
SMART Message: Unknown USB bridge. Flash drive/Unsupported enclosure?
Partition:
ID-1: / raw-size: 232.59 GiB size: 232.59 GiB (100.00%)
used: 20.36 GiB (8.8%) fs: btrfs dev: /dev/sda2 maj-min: 8:2
ID-2: /boot/efi raw-size: 300 MiB size: 299.4 MiB (99.80%)
used: 576 KiB (0.2%) fs: vfat dev: /dev/sda1 maj-min: 8:1
ID-3: /home raw-size: 232.59 GiB size: 232.59 GiB (100.00%)
used: 20.36 GiB (8.8%) fs: btrfs dev: /dev/sda2 maj-min: 8:2
ID-4: /var/log raw-size: 232.59 GiB size: 232.59 GiB (100.00%)
used: 20.36 GiB (8.8%) fs: btrfs dev: /dev/sda2 maj-min: 8:2
ID-5: /var/tmp raw-size: 232.59 GiB size: 232.59 GiB (100.00%)
used: 20.36 GiB (8.8%) fs: btrfs dev: /dev/sda2 maj-min: 8:2
Swap:
Kernel: swappiness: 133 (default 60) cache-pressure: 50 (default 100)
ID-1: swap-1 type: zram size: 31.27 GiB used: 0 KiB (0.0%) priority: 100
dev: /dev/zram0
Sensors:
System Temperatures: cpu: 44.0 C mobo: N/A gpu: nvidia temp: 45 C
Fan Speeds (RPM): N/A gpu: nvidia fan: 0%
Info:
Processes: 331 Uptime: 9m wakeups: 0 Memory: 31.27 GiB
used: 4.22 GiB (13.5%) Init: systemd v: 250 tool: systemctl Compilers:
gcc: 11.1.0 Packages: pacman: 1400 lib: 426 flatpak: 0 Shell: fish v: 3.3.1
default: Bash v: 5.1.12 running-in: konsole inxi: 3.3.11

Hi there, welcome.
Maybe your issue could be related to this one?

1 Like

No, but yes, i think. Found the solution:

Scotty_Trees
Yup, thanks for the heads up @steanne, that fix just got pushed and updated in the AUR. I just updated python-injector and now GWE runs again!

1 Like

It works. You just need to compile the aur python modules against the new one.

3 Likes

Thx for help @ptr1337 and @filo

1 Like

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.